Page MenuHomePhabricator

"Prompt me when entering a blank edit summary" preference should also apply to summaries with only the section title
Closed, ResolvedPublic1 Story Points

Description

Currently when you have the "Prompt me when entering a blank edit summary" preference enabled, you are only warned when submitting with a completely blank summary. The behavior in VE should match that in the wikitext editor, i.e. you should get a warning when the edit summary only contains the prefilled section title, but no manual summary, too.

Event Timeline

Schnark created this task.Oct 7 2015, 7:16 AM
Schnark raised the priority of this task from to Needs Triage.
Schnark updated the task description. (Show Details)
Schnark added a subscriber: Schnark.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 7 2015, 7:16 AM
Ltrlg added a subscriber: Ltrlg.Oct 7 2015, 6:56 PM

Well, I'm not going to provide a patch for this, but it should be really easy:

Just replace the check for the empty string in line 1445 in ve.init.mw.Target.js with something like

/^(?:\/\*.*\*\/)?\s*$/.test( saveOptions.summary )
D3r1ck01 claimed this task.Oct 8 2015, 12:02 PM
D3r1ck01 set Security to None.
D3r1ck01 added a subscriber: D3r1ck01.

Will just submit a patch for this at once. I will make sure to test too before submitting to make sure it works. :)

Change 244439 had a related patch set uploaded (by D3r1ck01):
Blank Edit summary prompt Fix

https://gerrit.wikimedia.org/r/244439

(Thank you, in the meantime!)

D3r1ck01 added a comment.EditedOct 12 2015, 2:42 PM

You are welcome Elitre. I always do my best to make sure these annoying little bugs are fixed ASAP :)

Jdforrester-WMF triaged this task as Low priority.Oct 13 2015, 7:28 PM
Jdforrester-WMF edited a custom field.
Jdforrester-WMF moved this task from To Triage to TR0: Interrupt on the VisualEditor board.

I have submitted a patch for this bug, its still pending, can someone look at it please? :)

There is an unaddressed comment on the change. I should not have to go around marking such changes as CR-1 to get people to pay attention to my comments.

Change 244439 abandoned by D3r1ck01:
Blank Edit summary prompt Fix

Reason:
Some one else will work on this one.

https://gerrit.wikimedia.org/r/244439

D3r1ck01 removed D3r1ck01 as the assignee of this task.Jan 8 2016, 6:07 PM

Change 272312 had a related patch set uploaded (by Wctaiwan):
Warn for empty summary when edit section used

https://gerrit.wikimedia.org/r/272312

Change 272312 merged by jenkins-bot:
Warn for empty summary when edit section used

https://gerrit.wikimedia.org/r/272312

Jdforrester-WMF closed this task as Resolved.Feb 25 2016, 8:52 PM
Jdforrester-WMF assigned this task to wctaiwan.
Jdforrester-WMF removed a project: Patch-For-Review.